For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Update a deal

PATCH
https://api.brevo.com/v3/crm/deals/:id
PATCH
/v3/crm/deals/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.updateADeal("id", {});
8}
9main();

Update an existing deal”s attributes, name, linked contacts, or linked companies. Note that passing linkedContactsIds or linkedCompaniesIds replaces the entire list of associations, so omitted IDs will be removed. To move a deal to a different pipeline or stage, provide both the pipeline and deal_stage attribute IDs.

Was this page helpful?
Previous

Link and Unlink a deal with contacts and companies

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Request

Updated deal details.
attributesobjectOptional

Attributes for deal update To assign owner of a Deal you can send attributes.deal_owner and utilize the account email or ID. If you wish to update the pipeline of a deal you need to provide the pipeline and the deal_stage Pipeline and deal_stage are ids you can fetch using this endpoint /crm/pipeline/details/{pipelineID}

linkedCompaniesIdslist of stringsOptional

Warning - Using PATCH on linkedCompaniesIds replaces the list of linked companies. Omitted IDs will be removed.

linkedContactsIdslist of longsOptional

Warning - Using PATCH on linkedContactIds replaces the list of linked contacts. Omitted IDs will be removed.

namestringOptional
Name of deal

Errors

400
Bad Request Error
404
Not Found Error